<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class UserDiseaseVariant extends Model
{
    protected $fillable = ['genetic_disease_id', 'user_id', 'genetic_disease_variant_id'];

    public function user(){
        return $this->belongsToMany(User::class, 'user_disease_variants', 'user_id', 'genetic_disease_id');
    }

    public function geneticDiseaseVariant(){
        return $this->belongsTo(GeneticDiseaseVariant::class, 'genetic_disease_variant_id');
    }
}
